Skip to main content

Magnetic Stripe Authorizations


Although EMV chips on payment cards have become common, sometimes the EMV chip cannot be used to validate the cardholder. In these instances, you can choose to validate the cardholder by using the magnetic stripe on back of the payment card.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC123",    "partner": {      "thirdPartyCertificationNumber": "123456789012"    }  },  "processingInformation": {    "commerceIndicator": "retail"  },  "pointOfSaleInformation": {    "trackData": ";4111xxxxxxxxxxxx=231220112345678?",    "entryMode": "swiped",    "terminalCapability": "4"  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9601.00",      "currency": "USD"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6869553167546562203955/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6869553167546562203955"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6869553167546562203955/captures"    }  },  "clientReferenceInformation": {    "code": "ABC123"  },  "id": "6869553167546562203955",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "9601.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "1"    }  },  "reconciliationId": "63427009RIT9HBR9",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-06-16T22:41:57Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026